Package com.complexible.stardog.api.admin.pack

# Enum Class StandbyNodeState

java.lang.Object
java.lang.Enum<StandbyNodeState>
com.complexible.stardog.api.admin.pack.StandbyNodeState

All Implemented Interfaces:
  `Serializable`, `Comparable<StandbyNodeState>`, `Constable`

public enum StandbyNodeState extends Enum<StandbyNodeState>

Represents that type of cluster node that is in use

Since:
  6.2.2
Version:
  6.2.2
Author:
  John Bresnahan

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `PAUSED`
  The standby node has been paused and will not synchronize again until it is told to do so.
  `PAUSING`
  The standby node has been told to pause while it was synchronizing.
  `SYNCING`
  The standby node is active and in the middle of synchronizing with the cluster.
  `WAITING`
  The standby node is active and waiting for the window when it should sync.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StandbyNodeState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StandbyNodeState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WAITING

    public static final StandbyNodeState WAITING
    The standby node is active and waiting for the window when it should sync.

  - ### SYNCING

    public static final StandbyNodeState SYNCING
    The standby node is active and in the middle of synchronizing with the cluster.

  - ### PAUSING

    public static final StandbyNodeState PAUSING
    The standby node has been told to pause while it was synchronizing. Once synchronization completes the standby node will be PAUSED.

  - ### PAUSED

    public static final StandbyNodeState PAUSED
    The standby node has been paused and will not synchronize again until it is told to do so.

- ## Method Details

  - ### values

    public static StandbyNodeState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StandbyNodeState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null